dunstify(1)

NAME
dunstify - a program to send desktop notifications

SYNOPSIS
dunstify [OPTION...] SUMMARY [BODY]

DESCRIPTION
Dunstify is a notify-send alternative that can be used to send desktop notifications from the command line.

OPTIONS

-?, --help
    Show help options.

-a, --app-name=NAME
    Set the app name of the notification. Accepted legacy alias: --appname.

-u, --urgency=URG
    Set the urgency level (low, normal, critical) of the notification.

-h, --hint=HINT
    Specifies hints to pass. Valid types are BOOLEAN, INT, DOUBLE, STRING, BYTE and VARIANT. Accepted legacy alias: --hints.

-A, --action=ACTION
    Specifies the actions to display to the user.

-e, --transient
    Mark the notification as transient.

-t, --expire-time=TIMEOUT
    The time in milliseconds until the notification expires. Accepted legacy alias: --timeout.

-i, --icon=ICON
    Specifies an icon to display with the notification.

-I, --raw-icon=PATH
    Path to the icon to be sent as raw image data. Accepted legacy alias: --raw_icon.

-c, --category=TYPE
    The category of this notification.

-p, --print-id
    Print id, which can be used to update/replace this notification. Accepted legacy alias: --printid.

-r, --replace-id=ID
    Set the id of this notification to The ID of the notification to replace. Accepted legacy alias: --replace.

-C, --close=ID
    Close the notification with the specified ID.

-w, --wait
    Block until notification is closed and print close reason. Accepted legacy alias: -b, --block.

--stack-tag=TAG
    Set the dunst stack tag property of the notification to TAG. A tagged notification will replace an earlier notification with the same tag.

    The following commands are equivalent:

        dunstify -h string:x-dunst-stack-tag:TAG "hello"

        dunstify --stack-tag TAG "hello"

--capabilities
    Print the server capabilities and exit.

--serverinfo
    Print server information and exit.

-v, --version
    Print dunstify version information. Not present on Dunst versions prior to v1.13.

COPYRIGHT
Copyright 2011-2014 Sascha Kruse

Copyright 2014-2026 Dunst contributors

Dunst is released under the BSD 3-Clause License, see LICENSE for more information.

If you feel that copyrights are violated, please send an email to the maintainers.

SEE ALSO
notify-send(1), dunst(5), dunstctl(1), dunst(1)